Package org.springframework.security.web.webauthn.api

# Class ImmutableAuthenticationExtensionsClientInput<T>

java.lang.Object
org.springframework.security.web.webauthn.api.ImmutableAuthenticationExtensionsClientInput<T>

Type Parameters:
  `T` - the input type

All Implemented Interfaces:
  `Serializable`, `AuthenticationExtensionsClientInput<T>`

public class ImmutableAuthenticationExtensionsClientInput<T> extends Object implements AuthenticationExtensionsClientInput<T>
An immutable `AuthenticationExtensionsClientInput`.

Since:
  6.4
See Also:
  - `AuthenticationExtensionsClientInputs`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AuthenticationExtensionsClientInput<Boolean>`
`credProps`
https://www.w3.org/TR/webauthn-3/#sctn-authenticator-credential-properties-extension

## Constructor Summary

Constructors
Constructor
Description
`ImmutableAuthenticationExtensionsClientInput(String extensionId, T input)`
Creates a new instance

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtensionId()`
Gets the extension identifier.
`T`
`getInput()`
Gets the client extension.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### credProps

public static final AuthenticationExtensionsClientInput<Boolean> credProps
https://www.w3.org/TR/webauthn-3/#sctn-authenticator-credential-properties-extension

## Constructor Details

### ImmutableAuthenticationExtensionsClientInput

public ImmutableAuthenticationExtensionsClientInput(String extensionId, T input)
Creates a new instance

Parameters:
  `extensionId` - the extension id.
  `input` - the input.

## Method Details

### getExtensionId

public String getExtensionId()
Description copied from interface: `AuthenticationExtensionsClientInput`
Gets the extension identifier.

Specified by:
  `getExtensionId` in interface `AuthenticationExtensionsClientInput<T>`
Returns:
  the extension identifier.

### getInput

public T getInput()
Description copied from interface: `AuthenticationExtensionsClientInput`
Gets the client extension.

Specified by:
  `getInput` in interface `AuthenticationExtensionsClientInput<T>`
Returns:
  the client extension.